public static interface SdbEndpointBuilderFactory.SdbBuilders
| Modifier and Type | Method and Description |
|---|---|
default SdbEndpointBuilderFactory.SdbEndpointBuilder |
awsSdb(String path)
AWS SimpleDB (camel-aws-sdb)
Store and Retrieve data from/to AWS SDB service.
|
default SdbEndpointBuilderFactory.SdbEndpointBuilder |
awsSdb(String componentName,
String path)
AWS SimpleDB (camel-aws-sdb)
Store and Retrieve data from/to AWS SDB service.
|
default SdbEndpointBuilderFactory.SdbEndpointBuilder awsSdb(String path)
aws-sdb:domainName
Path parameter: domainName (required)
The name of the domain currently worked with.path - domainNamedefault SdbEndpointBuilderFactory.SdbEndpointBuilder awsSdb(String componentName, String path)
aws-sdb:domainName
Path parameter: domainName (required)
The name of the domain currently worked with.componentName - to use a custom component name for the endpoint
instead of the default namepath - domainNameApache Camel